<script setup lang="ts">
defineProps<{ notRounded?: Boolean }>()
</script>

<template>
  <button
      class="
      inline-block bg-blue-500 text-white text-sm p-input
      disabled:cursor-not-allowed disabled:bg-gray-200
      "
      :class="notRounded ? '' : 'rounded-main'"
  >
    <slot/>
  </button>
</template>
